package data;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.io.*;
import java.net.*;

/*
 *
 * HelpWindow
 *
 */
public class HelpWindow extends Frame
implements WindowListener
{
	public boolean action( Event evt, Object what ) 
	{
		if( evt.target instanceof Button )
		{
			hide();
			dispose();
			return true;
		}
		
		return false;
	}

	public HelpWindow(Applet applet, String helptext, int src, String title, int w, int h) 
	{
		super( title );

	    TextArea t;

		resize(w,h);
		setLayout( new BorderLayout() );
		
		if(src==0) // helptext ist der anzuzeigende Text
		  t = new TextArea( helptext, 5, 30 );
		else  // helptext gibt ein File in der Codebase-URL an
		{
		  // in diese Variable wird der Inhalt des Files gelesen
		  String sBuffer = "";

		  try 
		  {
			URL url = new URL( applet.getCodeBase(), helptext );

			InputStream is = url.openStream();
			DataInputStream dis = new DataInputStream( is ); 

			String sLine;

			while( (sLine = dis.readLine()) != null )
				sBuffer += sLine + "\n";
				
            t = new TextArea(sBuffer, 5, 30);
		  }
		  catch( Exception e ) 
		  { 
			t = new TextArea("Wrong URL:\n"+helptext+" could not be found in Codebase!"+
			                 "\n\nHelp text is not available!", 5,30);
		  }

		}
		t.setEditable(false);
		
		add( "Center", t );
		add( "South", new Button( "Close" ) );
		
		addWindowListener(this);
	}

    public void windowActivated(WindowEvent e) {} 
    public void windowClosed(WindowEvent e) {}
    public void windowClosing(WindowEvent e)
	{
      hide();
	  dispose();
	}
    public void windowDeactivated(WindowEvent e) {}
    public void windowDeiconified(WindowEvent e) {}
    public void windowIconified(WindowEvent e) {}
    public void windowOpened(WindowEvent e) {}
    

}

