package data;

import java.awt.*;

//
//
// PhasenPanel
//
//
class PhasenPanel extends Panel
{
	DataList	data = null;

	int			nDimensionX = 0;
	int			nDimensionY = 1;

	int			tmax = 0;

	public PhasenPanel( DataList init )
	{
		data = init;

		// Auswerten des Datenobjektes
		if( data != null )
		{
			// wieviele Mepunkte gibt es
			tmax = data.size();
		}
	}

	// sucht neue Dimensionen fr den Phasenraum aus

	public void setDimension( int d1, int d2 )
	{
		nDimensionX = d1;
		nDimensionY = d2;

		repaint();
	}

	// Holt aus dem Datenelement aus dem
	// Mepunkt t die Dimension d

	protected double getValue( int t, int d )
	{
		DataElement elementX = (DataElement)data.elementAt(t);

		Double doubleX = (Double)elementX.elementAt(d);

		return doubleX.doubleValue();
	}

	public void paint( Graphics g )
	{
		int sizeX = size().width - 20;
		int sizeY = size().height - 20;

		g.drawRect( 10, 10, sizeX, sizeY );

		// nur zur Sicherheit: mit diesen Fllen
		// wird nicht gearbeitet
		if( data == null ) return;
		if( data.dimension() < 2 ) return;

		// Startpunkt einzeichnen
		int x = (int)(sizeX * (getValue(0,nDimensionX) - data.min[nDimensionX]) / (data.max[nDimensionX] - data.min[nDimensionX])) + 10;
		int y = sizeY - (int)(sizeY * (getValue(0,nDimensionY) - data.min[nDimensionY]) / (data.max[nDimensionY] - data.min[nDimensionY])) + 10;

		g.setColor( Color.red );
		g.drawOval( x - 3, y - 3,  6, 6 );
		g.setColor( Color.black );

		for( int t = 1; t < tmax; t++ )
		{
			int x1 = (int)(sizeX * (getValue(t,nDimensionX) - data.min[nDimensionX]) / (data.max[nDimensionX] - data.min[nDimensionX])) + 10;
			int y1 = sizeY - (int)(sizeY * (getValue(t,nDimensionY) - data.min[nDimensionY]) / (data.max[nDimensionY] - data.min[nDimensionY])) + 10;

			g.drawLine( x, y, x1, y1 );

			x = x1; y = y1;
		}
	}
}

