/*    $Id: Variable.java,v 1.3 1996/01/25 20:34:50 davidliu Exp $
**
**
**************************************************************************
**    Copyright (C) 1996 David Wanqian Liu
**                       davidliu@mti.sgi.com
**                       http://reality.sgi.com/exmployees/davidliu_mti
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**************************************************************************
*/


package expression;



/**
  An variable in an expression.
  */  
public class Variable {
  /**
    The global variable A.
    */
  public final static Variable A = new Variable("A");

  /**
    The global variable B.
    */
  public final static Variable B = new Variable("B");

  /**
    The global variable C.
    */
  public final static Variable C = new Variable("C");

  /**
    The global variable D.
    */
  public final static Variable D = new Variable("D");

  /**
    The global variable F.
    */
  public final static Variable F = new Variable("F");

  /**
    The global variable G.
    */
  public final static Variable G = new Variable("G");

  /**
    The global variable H.
    */
  public final static Variable H = new Variable("H");

  /**
    The global variable I.
    */
  public final static Variable I = new Variable("I");

  /**
    The global variable J.
    */
  public final static Variable J = new Variable("J");

  /**
    The global variable K.
    */
  public final static Variable K = new Variable("K");

  /**
    The global variable L.
    */
  public final static Variable L = new Variable("L");

  /**
    The global variable M.
    */
  public final static Variable M = new Variable("M");

  /**
    The global variable N.
    */
  public final static Variable N = new Variable("N");

  /**
    The global variable O.
    */
  public final static Variable O = new Variable("O");

  /**
    The global variable P.
    */
  public final static Variable P = new Variable("P");

  /**
    The global variable Q.
    */
  public final static Variable Q = new Variable("Q");

  /**
    The global variable R.
    */
  public final static Variable R = new Variable("R");

  /**
    The global variable S.
    */
  public final static Variable S = new Variable("S");

  /**
    The global variable T.
    */
  public final static Variable T = new Variable("T");

  /**
    The global variable U.
    */
  public final static Variable U = new Variable("U");

  /**
    The global variable V.
    */
  public final static Variable V = new Variable("V");

  /**
    The global variable W.
    */
  public final static Variable W = new Variable("W");

  /**
    The global variable X.
    */
  public final static Variable X = new Variable("X");

  /**
    The global variable Y.
    */
  public final static Variable Y = new Variable("Y");

  /**
    The global variable Z.
    */
  public final static Variable Z = new Variable("Z");

  /**
    The global variable PI.
    */
  public final static Variable PI = new Variable("PI", 3.14159265358979323846);

  /**
    The global variable E.
    */
  public final static Variable E = new Variable("E", 2.7182818284590452354);
  
  /**
    Current value of a variable.
    */
  public double val;

  String nameStr;

  /**
    Create a default variable without a name.
    */
  public Variable() {
    nameStr = "";
    val = 0.0;
  }


  /**
    Create a variable with a name.
    */
  public Variable(String str) {
    nameStr = str;
    val = 0.0;
  }


  /**
    Create a variable with a name and its value.
    */
  public Variable(String str, double v) {
    nameStr = str;
    val = v;
  }

  /**
    Returns the string representation of the variable.
    */
  public String toString() {
    return nameStr;
  }
}
